<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\TextInput;

class PriceTextInput extends TextInput
{
    public static function create(): static
    {
        return static::make('price')
            ->label('قیمت')
            ->numeric()
            ->regex('/^\d*$/')
            ->columnSpan(6);
    }
}
